Bug 427036 - ardour makes work for the user
ardour makes work for the user
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ardour (Show other bugs)
8
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Anthony Green
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-30 09:39 EST by Philip Ashmore
Modified: 2009-01-09 00:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:39:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philip Ashmore 2007-12-30 09:39:29 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.10) Gecko/20071213 Fedora/2.0.0.10-3.fc8 Firefox/2.0.0.10

Description of problem:
"JACK is not running..."
Shouldn't the ardour installation indicate a "requires" dependency on jack?



Version-Release number of selected component (if applicable):
ardour-2.1-3.fc8

How reproducible:
Always


Steps to Reproduce:
1. Install ardour
2. Start ardour from KMenu
3. Create a new session
4. See the "Starting audio engine" window appear
5. See the "Ardour could not connect to JACK." window appear.
6. Click on the quit button.

Actual Results:
Time to put on my sysadmin hat and join the hords of ardour users in trying to figure out why JACK doesn't work like artsd or pulseaudio.

Expected Results:
Ardour installation should have sorted this out from the get-go or maybe use another audio engine.

Additional info:
Yes I know this might be considered a JACK issue/bug, but another point of view is to consider that this is an ardour usability issue/bug.
Comment 1 Hans de Goede 2007-12-31 09:04:16 EST
Fernando,

Do you have any good ideas howto deal with this, I guess we want ardour to work
in the default pulseaudio setup by default, and allow easy (maybe even
automatic) reconfiguration to jack if that is available.

Any input much appreciated, and a happy new year of course :)
Comment 2 Bug Zapper 2008-11-26 04:13:16 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-01-09 00:39:18 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.